%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-libpng
Version:        1.4.8
Release:        1%{?dist}
Summary:        MinGW Windows Libpng library

License:        zlib
URL:            http://www.libpng.org/pub/png/
Source0:        ftp://ftp.simplesystems.org/pub/png/src/libpng-%{version}.tar.xz
Patch2:         mingw32-libpng-fix-invalid-exports.patch

Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib

Requires:       pkgconfig

%description
MinGW Windows Libpng library.


%prep
%setup -q -n libpng-%{version}

# The configure script tries to generate a prefix which is used for
# symbol declarations. However, when this prefix is prefix is used
# the resulting DLL's don't have any exported symbols at all
# When we drop this prefix we retain backwards compatibility with
# older versions of mingw32-libpng. We might need to research this
# issue more to find out the real cause, but this will do for now
%patch2 -p0


%build
%{_mingw32_configure}
make


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm $RPM_BUILD_ROOT%{_mingw32_libdir}/libpng.a

# No need to distribute manpages which appear in the Fedora
# native packages already.
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGES LICENSE README TODO
%{_mingw32_bindir}/libpng-config
%{_mingw32_bindir}/libpng14-14.dll
%{_mingw32_bindir}/libpng14-config
%{_mingw32_includedir}/libpng14
%{_mingw32_includedir}/png.h
%{_mingw32_includedir}/pngconf.h
%{_mingw32_libdir}/libpng.dll.a
%{_mingw32_libdir}/libpng.la
%{_mingw32_libdir}/libpng14.a
%{_mingw32_libdir}/libpng14.dll.a
%{_mingw32_libdir}/libpng14.la
%{_mingw32_libdir}/pkgconfig/libpng.pc
%{_mingw32_libdir}/pkgconfig/libpng14.pc


%changelog
* Fri Jul 22 2011 Kalev Lember <kalevlember@gmail.com> - 1.4.8-1
- Update to 1.4.8 (CVE-2011-2690, CVE-2011-2692)

* Wed Jun 29 2011 Richard W.M. Jones <rjones@redhat.com> - 1.4.3-2
- Include fix for CVE-2011-2501 (RHBZ#717510, RHBZ#717511).

* Sun Jul  4 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3
- Fixes CVE-2010-1205 (BZ #608238)
- Fixes CVE-2010-2249 (BZ #608644)
- Use %%global instead of %%define
- Fixed %%defattr tag
- Dropped unneeded patches

* Fri Nov 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.40-2
- In the previous build no symbols were exported in the resulting DLL making this
  package unusable. This should be fixed for now (but may need more research)

* Thu Nov  5 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.40-1
- New upstream version 1.2.40.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.37-1
- New upstream version 1.2.37 to fix SECURITY bug RHBZ#504782.

* Wed Feb 25 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.35-1
- Update to libpng 1.2.35, to fix CVE-2009-0040 (Tom Lane).

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.34-3
- Rebuild for mingw32-gcc 4.4

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.34-2
- Depend on mingw32-filesystem >= 40 so we can still build in F-10.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.34-1
- Rebase to 1.2.34 and patches from Fedora.
- Requires pkgconfig.
- Add documentation.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.31-5
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 1.2.31-4
- Add patches from rawhide RPM

* Sun Sep 21 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.31-3
- Don't duplicate Fedora native manpages.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.31-2
- Remove static library.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 1.2.31-1
- Initial RPM release
